// 本地开发环境
const local = {
    web_pc: 'https://nml.bozedu.net/',
    web_mobile: 'https://nmlm.bozedu.net/',

    api: 'https://nmlopenapi.bozedu.net/',
    oss: 'https://nmlopenapi.bozedu.net/',
    uc: 'https://uc.bozedu.net/',
    appid: 'wx15eaba41e9f51eb9',
}

// 测试服环境
const development = {
    web_pc: 'https://nml.bozedu.net/',
    web_mobile: 'https://nmlm.bozedu.net/',
    uc: 'https://uc.bozedu.net/',
    api: 'https://nmlopenapi.bozedu.net/',
    oss: 'https://nmlopenapi.bozedu.net/',

    appid: 'wx15eaba41e9f51eb9',
}

// 正式服环境
const production = {
    web_pc: 'https://nml.bozedu.net/',
    web_mobile: 'https://nmlm.bozedu.net/',
    uc: 'https://uc.bozedu.net/',
    api: 'https://nmlopenapi.bozedu.net/',
    oss: 'https://nmlopenapi.bozedu.net/',

    appid: 'wx15eaba41e9f51eb9',
}

function isWhich() {
    if (window.location.host.includes('nmlm.bozedu.net')) {
        return development
    } else if (window.location.host.includes('nmlm.bozedu.net')) {
        return production
    } else {
        return local
    }
}

window.GLOBAL_CONFIG = isWhich()

